<?php

namespace App\Filament\Resources\EtabAxes;

use App\Filament\Resources\EtabAxes\Pages\CreateEtabAxe;
use App\Filament\Resources\EtabAxes\Pages\EditEtabAxe;
use App\Filament\Resources\EtabAxes\Pages\ListEtabAxes;
use App\Filament\Resources\EtabAxes\Schemas\EtabAxeForm;
use App\Filament\Resources\EtabAxes\Tables\EtabAxesTable;
use App\Models\EtabAxe;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class EtabAxeResource extends Resource
{
    protected static ?string $model = EtabAxe::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return EtabAxeForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return EtabAxesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListEtabAxes::route('/'),
            'create' => CreateEtabAxe::route('/create'),
            'edit' => EditEtabAxe::route('/{record}/edit'),
        ];
    }
}
